HTTP API

Message Queue Subscriptions

GET/api/v1/mq/topics/{topic_name}/subscriptions
GET
/api/v1/mq/topics/{topic_name}/subscriptions

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

topic_name*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/mq/topics/string/subscriptions"
{  "subscriptions": [    {      "created_at": "2019-08-24T14:15:22Z",      "filter_policy": null,      "queue_name": "string",      "subscription_id": "string"    }  ]}
POST/api/v1/mq/topics/{topic_name}/subscriptions
POST
/api/v1/mq/topics/{topic_name}/subscriptions

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

topic_name*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to subscribe a queue to a topic

Response Body

application/json

curl -X POST "https://example.com/api/v1/mq/topics/string/subscriptions" \  -H "Content-Type: application/json" \  -d '{    "queue_name": "string"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "filter_policy": null,  "queue_name": "string",  "raw_message_delivery": true,  "subscription_id": "string",  "topic_name": "string"}
DELETE/api/v1/mq/topics/{topic_name}/subscriptions/{queue_name}
DELETE
/api/v1/mq/topics/{topic_name}/subscriptions/{queue_name}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

topic_name*string
queue_name*string

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/mq/topics/string/subscriptions/string"
{  "message": "string"}

On this page